#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private AR.ARScroll[] cacheARScroll;

		
		public AR.ARScroll ARScroll()
		{
			return ARScroll(Input);
		}


		
		public AR.ARScroll ARScroll(ISeries<double> input)
		{
			if (cacheARScroll != null)
				for (int idx = 0; idx < cacheARScroll.Length; idx++)
					if ( cacheARScroll[idx].EqualsInput(input))
						return cacheARScroll[idx];
			return CacheIndicator<AR.ARScroll>(new AR.ARScroll(), input, ref cacheARScroll);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.AR.ARScroll ARScroll()
		{
			return indicator.ARScroll(Input);
		}


		
		public Indicators.AR.ARScroll ARScroll(ISeries<double> input )
		{
			return indicator.ARScroll(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.AR.ARScroll ARScroll()
		{
			return indicator.ARScroll(Input);
		}


		
		public Indicators.AR.ARScroll ARScroll(ISeries<double> input )
		{
			return indicator.ARScroll(input);
		}

	}
}

#endregion
